Your message dated Sat, 09 Nov 2013 09:45:25 +1100
with message-id <5075186.045oDstuYM@acer>
and subject line Re: Bug#676419: [digikam] Internal Mysql server does not work 
anymore
has caused the Debian Bug report #676419,
regarding [digikam] Internal Mysql server does not work anymore
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
676419: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676419
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: digikam
Version: 4:2.6.0~rc-4
Severity: important

--- Please enter the report below this line. ---
I've used the previous 1.9 version with the internal mysql server, which 
worked OK. The new 2.6 version however doesn't seem to start the internal 
mysql server anymore.

I get this output on the console:
digikam(10032)/digikam (core) Digikam::AlbumManager::setDatabase: 
DatabaseParameters: [ Type "QMYSQL", Name "digikam" (Thumbnails Name 
"digikam"); ConnectOptions: 
"UNIX_SOCKET=/home/gus/.kde/share/apps/digikam/db_misc/mysql.socket", Using an 
Internal Server; Username and Password: "root", ""]

And then this message in a dialog:
Details: No path to mysqld set in server configuration

The relevant code seems to be this (line 157ff):
https://projects.kde.org/projects/extragear/graphics/digikam/repository/entry/databaseserver/databaseserver.cpp?branch=&tag=&rev=

It looks like the "dbServerCmd" path is empty. AFAICS, it should be read from 
/usr/share/kde4/apps/digikam/database/dbconfig.xml which looks good and does 
indeed contain 
<dbServerCmd>/usr/sbin/mysqld</dbServerCmd>
in the QMYSQL section.

strace confirms that the dbconfig.xml file is successfully opened.

Reproducing this is easy:
- start digikam
- in the preferences in the database tab, set "MySQL" as the type and check 
the "Inernal Server" checkbox. Closing the dialog with OK should already show
the problem.

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.2.0-2-amd64

Debian Release: wheezy/sid
  500 unstable        ftp.de.debian.org 
  500 testing         ftp.de.debian.org 
  500 stable          security.debian.org 
  500 stable          ftp.de.debian.org 
  500 binary          pkg.jenkins-ci.org 
  100 experimental-snapshots qt-kde.debian.net 
    1 experimental    ftp.de.debian.org 

--- Package information. ---
Depends                                (Version) | Installed
================================================-+-======================
kde-runtime                                      | 4:4.7.4-2+b1
libc6                                   (>= 2.4) | 2.13-33
libgcc1                             (>= 1:4.1.1) | 1:4.7.0-11
libgomp1                              (>= 4.2.1) | 4.7.0-11
libgphoto2-2                       (>= 2.4.10.1) | 2.4.14-2
libgphoto2-port0                   (>= 2.4.10.1) | 2.4.14-2
libjasper1                                       | 1.900.1-13
libjpeg8                                 (>= 8c) | 8d-1
libkdcraw20                         (>= 4:4.7.1) | 4:4.7.4-2
libkdecore5                         (>= 4:4.7.0) | 4:4.7.4-6
libkdeui5                             (>= 4:4.7) | 4:4.7.4-6
libkdewebkit5                         (>= 4:4.7) | 4:4.7.4-6
libkexiv2-10                        (>= 4:4.7.1) | 4:4.7.4-2+b1
libkfile4                             (>= 4:4.7) | 4:4.7.4-6
libkhtml5                             (>= 4:4.7) | 4:4.7.4-6
libkio5                             (>= 4:4.7.0) | 4:4.7.4-6
libkipi8                           (>= 4:4.5.90) | 4:4.7.4-2
libknotifyconfig4                     (>= 4:4.7) | 4:4.7.4-6
libkparts4                            (>= 4:4.7) | 4:4.7.4-6
liblcms1                             (>= 1.15-1) | 1.19.dfsg-1.1
liblensfun0                                      | 0.2.5-2
liblqr-1-0                            (>= 0.4.0) | 0.4.1-2
libmarblewidget12                   (>= 4:4.7.1) | 4:4.7.4-2
libnepomuk4                           (>= 4:4.7) | 4:4.7.4-6
libopencv-core2.3                                | 2.3.1-10
libopencv-highgui2.3                             | 2.3.1-10
libopencv-imgproc2.3                             | 2.3.1-10
libopencv-legacy2.3                              | 2.3.1-10
libopencv-objdetect2.3                           | 2.3.1-10
libphonon4                          (>= 4:4.2.0) | 4:4.6.0.0-2
libpng12-0                         (>= 1.2.13-4) | 1.2.49-1
libqjson0                             (>= 0.7.1) | 0.7.1-6
libqt4-dbus                         (>= 4:4.5.3) | 4:4.8.1-2
libqt4-network                      (>= 4:4.5.3) | 4:4.8.1-2
libqt4-qt3support                   (>= 4:4.5.3) | 4:4.8.1-2
libqt4-sql                          (>= 4:4.5.3) | 4:4.8.1-2
libqt4-xml                          (>= 4:4.5.3) | 4:4.8.1-2
libqtcore4                          (>= 4:4.8.0) | 4:4.8.1-2
libqtgui4                           (>= 4:4.8.0) | 4:4.8.1-2
libqtwebkit4               (>= 2.1.0~2011week13) | 2.2.1-4+b1
libsolid4                             (>= 4:4.7) | 4:4.7.4-6
libsoprano4                          (>= 2.1.67) | 2.7.6+dfsg.1-1
libstdc++6                              (>= 4.6) | 4.7.0-11
libtiff4                           (>> 3.9.5-3~) | 3.9.6-5
libx11-6                                         | 2:1.4.99.901-2
phonon                                           | 4:4.6.0.0-2
libqt4-sql-sqlite                                | 4:4.8.1-2
digikam-data                    (= 4:2.6.0~rc-4) | 4:2.6.0~rc-4


Recommends         (Version) | Installed
============================-+-===========
www-browser                  | 
kipi-plugins                 | 4:2.6.0~rc-4
mplayerthumbs                | 4:4.7.4-3


Suggests         (Version) | Installed
==========================-+-===========
digikam-doc                | 





-- 
Carsten Pfeiffer



--- End Message ---
--- Begin Message ---
On Wed, 6 Jun 2012 21:47:00 Carsten Pfeiffer wrote:
> I've used the previous 1.9 version with the internal mysql server, which 
> worked OK. The new 2.6 version however doesn't seem to start the internal 
> mysql server anymore.

Carsten,

I have closed this report as it is against a very old version of digikam which 
is no longer supported by Debian.

I am sorry we have not been able to resolve this issue for you.

Upstream also provide support for digikam here: http://www.digikam.org/support

If this is an ongoing issue, could I ask you to file a new report against a 
newer version of digikam which is supported by Debian.

Mark

Attachment: signature.asc
Description: This is a digitally signed message part.


--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to